### Method

# Pango FontDescription set_gravity

since: 1.16

#### Declaration [src]

    void
    pango_font_description_set_gravity (
      PangoFontDescription* desc,
      PangoGravity gravity
    )

#### Description [src]

Sets the gravity field of a font description.

The gravity field specifies how the glyphs should be rotated. If `gravity` is `PANGO_GRAVITY_AUTO`, this actually unsets the gravity mask on the font description.

This function is seldom useful to the user. Gravity should normally be set on a `PangoContext`.

Available since: 1.16

#### Parameters

`gravity`

  Type: `PangoGravity`

  The gravity for the font description.